API documentation for HeyDonto Zimbis API
https://docs.heydonto.com/_mock/apis/zimbis/openapi/
https://api-staging.heydonto.com/
https://api.heydonto.com/
- Mock server
https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient
- Sandbox
https://api-staging.heydonto.com/site/{siteId}/zimbis/patient
- Production
https://api.heydonto.com/site/{siteId}/zimbis/patient
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'List of Sites all Zimbis Patients retrieved successfully.
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
Patient email in human environments, owner email in veterinary environments
The date and time the data record was created
The date and time the data record was last updated
The date and time the data record was last synced
[ { "siteId": 1.23, "patientId": "123e4567-e89b-12d3-a456-426614174000", "fhirId": "123e4567-e89b-12d3-a456-426614174000", "ehrId": "123e4567-e89b-12d3-a456-426614174000", "ehrTable": "Example Name", "patient": "Example Name", "clientId": "123e4567-e89b-12d3-a456-426614174000", "clientFirstName": "Example Name", "clientLastName": "Example Name", "dob": "2023-01-01", "permanent": 1.23, "caution": 1.23, "species": "example", "gender": "123e4567-e89b-12d3-a456-426614174000", "weight": 1.23, "weightUnits": "Example Name", "height": 1.23, "heightUnits": "Example Name", "location": "Example Name", "allergies": "Example Name", "clientGender": "example", "breed": "Example Name", "address1": "Example Name", "address2": "Example Name", "city": "Example Name", "state": "Example Name", "zip": "Example Name", "country": "Example Name", "clientDOB": "2023-01-01", "dlNumber": "https://example.com", "clientPhone": "Example Name", "clientEmail": "Example Name", "id": 100, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z", "syncedAt": "2021-08-01T00:00:00.000Z" } ]
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
- Mock server
https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient
- Sandbox
https://api-staging.heydonto.com/site/{siteId}/zimbis/patient
- Production
https://api.heydonto.com/site/{siteId}/zimbis/patient
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"siteId": 1.23,
"patientId": "123e4567-e89b-12d3-a456-426614174000",
"fhirId": "123e4567-e89b-12d3-a456-426614174000",
"ehrId": "123e4567-e89b-12d3-a456-426614174000",
"ehrTable": "Example Name",
"patient": "Example Name",
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"clientFirstName": "Example Name",
"clientLastName": "Example Name",
"dob": "2023-01-01",
"permanent": 1.23,
"caution": 1.23,
"species": "example",
"gender": "123e4567-e89b-12d3-a456-426614174000",
"weight": 1.23,
"weightUnits": "Example Name",
"height": 1.23,
"heightUnits": "Example Name",
"location": "Example Name",
"allergies": "Example Name",
"clientGender": "example",
"breed": "Example Name",
"address1": "Example Name",
"address2": "Example Name",
"city": "Example Name",
"state": "Example Name",
"zip": "Example Name",
"country": "Example Name",
"clientDOB": "2023-01-01",
"dlNumber": "https://example.com",
"clientPhone": "Example Name",
"clientEmail": "Example Name"
}'Site Zimbis Patient created successfully.
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
Patient email in human environments, owner email in veterinary environments
The date and time the data record was created
The date and time the data record was last updated
{ "siteId": 1.23, "patientId": "123e4567-e89b-12d3-a456-426614174000", "fhirId": "123e4567-e89b-12d3-a456-426614174000", "ehrId": "123e4567-e89b-12d3-a456-426614174000", "ehrTable": "Example Name", "patient": "Example Name", "clientId": "123e4567-e89b-12d3-a456-426614174000", "clientFirstName": "Example Name", "clientLastName": "Example Name", "dob": "2023-01-01", "permanent": 1.23, "caution": 1.23, "species": "example", "gender": "123e4567-e89b-12d3-a456-426614174000", "weight": 1.23, "weightUnits": "Example Name", "height": 1.23, "heightUnits": "Example Name", "location": "Example Name", "allergies": "Example Name", "clientGender": "example", "breed": "Example Name", "address1": "Example Name", "address2": "Example Name", "city": "Example Name", "state": "Example Name", "zip": "Example Name", "country": "Example Name", "clientDOB": "2023-01-01", "dlNumber": "https://example.com", "clientPhone": "Example Name", "clientEmail": "Example Name", "id": 100, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z", "syncedAt": "2021-08-01T00:00:00.000Z" }
- Mock server
https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/fhir/{fhirId}
- Sandbox
https://api-staging.heydonto.com/site/{siteId}/zimbis/patient/fhir/{fhirId}
- Production
https://api.heydonto.com/site/{siteId}/zimbis/patient/fhir/{fhirId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/fhir/{fhirId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Site's Zimbis Patient retrieved successfully.
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
Patient email in human environments, owner email in veterinary environments
The date and time the data record was created
The date and time the data record was last updated
{ "siteId": 1.23, "patientId": "123e4567-e89b-12d3-a456-426614174000", "fhirId": "123e4567-e89b-12d3-a456-426614174000", "ehrId": "123e4567-e89b-12d3-a456-426614174000", "ehrTable": "Example Name", "patient": "Example Name", "clientId": "123e4567-e89b-12d3-a456-426614174000", "clientFirstName": "Example Name", "clientLastName": "Example Name", "dob": "2023-01-01", "permanent": 1.23, "caution": 1.23, "species": "example", "gender": "123e4567-e89b-12d3-a456-426614174000", "weight": 1.23, "weightUnits": "Example Name", "height": 1.23, "heightUnits": "Example Name", "location": "Example Name", "allergies": "Example Name", "clientGender": "example", "breed": "Example Name", "address1": "Example Name", "address2": "Example Name", "city": "Example Name", "state": "Example Name", "zip": "Example Name", "country": "Example Name", "clientDOB": "2023-01-01", "dlNumber": "https://example.com", "clientPhone": "Example Name", "clientEmail": "Example Name", "id": 100, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z", "syncedAt": "2021-08-01T00:00:00.000Z" }
- Mock server
https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- Sandbox
https://api-staging.heydonto.com/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- Production
https://api.heydonto.com/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/{siteZimbisPatientId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'List of Site's all Zimbis Patients retrieved successfully.
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
Patient email in human environments, owner email in veterinary environments
The date and time the data record was created
The date and time the data record was last updated
{ "siteId": 1.23, "patientId": "123e4567-e89b-12d3-a456-426614174000", "fhirId": "123e4567-e89b-12d3-a456-426614174000", "ehrId": "123e4567-e89b-12d3-a456-426614174000", "ehrTable": "Example Name", "patient": "Example Name", "clientId": "123e4567-e89b-12d3-a456-426614174000", "clientFirstName": "Example Name", "clientLastName": "Example Name", "dob": "2023-01-01", "permanent": 1.23, "caution": 1.23, "species": "example", "gender": "123e4567-e89b-12d3-a456-426614174000", "weight": 1.23, "weightUnits": "Example Name", "height": 1.23, "heightUnits": "Example Name", "location": "Example Name", "allergies": "Example Name", "clientGender": "example", "breed": "Example Name", "address1": "Example Name", "address2": "Example Name", "city": "Example Name", "state": "Example Name", "zip": "Example Name", "country": "Example Name", "clientDOB": "2023-01-01", "dlNumber": "https://example.com", "clientPhone": "Example Name", "clientEmail": "Example Name", "id": 100, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z", "syncedAt": "2021-08-01T00:00:00.000Z" }
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
Patient email in human environments, owner email in veterinary environments
The date and time the data record was created
The date and time the data record was last updated
- Mock server
https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- Sandbox
https://api-staging.heydonto.com/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- Production
https://api.heydonto.com/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/{siteZimbisPatientId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"siteId": 1.23,
"patientId": "123e4567-e89b-12d3-a456-426614174000",
"fhirId": "123e4567-e89b-12d3-a456-426614174000",
"ehrId": "123e4567-e89b-12d3-a456-426614174000",
"ehrTable": "Example Name",
"patient": "Example Name",
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"clientFirstName": "Example Name",
"clientLastName": "Example Name",
"dob": "2023-01-01",
"permanent": 1.23,
"caution": 1.23,
"species": "example",
"gender": "123e4567-e89b-12d3-a456-426614174000",
"weight": 1.23,
"weightUnits": "Example Name",
"height": 1.23,
"heightUnits": "Example Name",
"location": "Example Name",
"allergies": "Example Name",
"clientGender": "example",
"breed": "Example Name",
"address1": "Example Name",
"address2": "Example Name",
"city": "Example Name",
"state": "Example Name",
"zip": "Example Name",
"country": "Example Name",
"clientDOB": "2023-01-01",
"dlNumber": "https://example.com",
"clientPhone": "Example Name",
"clientEmail": "Example Name",
"id": 100,
"createdAt": "2021-08-01T00:00:00.000Z",
"updatedAt": "2021-08-01T00:00:00.000Z",
"syncedAt": "2021-08-01T00:00:00.000Z"
}'Site Zimbis Patient updated successfully.
Patient identifier - the Account ID in 3rd party system
The ID of the FHIR Patient associated with this patient
The ID of the record in ehr system
Patient name – typically the first and last name of a human patient or the name of an animal patient
Client identifier – most often used in veterinary environments to identify the owner
Patient first name in a human care environment, owner first name in a veterinary environment
Patient last name in a human care environment, owner last name in a veterinary environment
Flag to say whether patient is permanent or not / 0 = temporary, 1 = permanent
Most often used in a veterinary environment / 0 = not aggressive, 1 = aggressive
M = Male, F = Female, NM = Neutered Male, SF = Spayed Female, U = Unidentified
Patient location in the facility, E.g Surgery, Floor / Room / Bed, etc
Typically used in veterinary environments to satisfy DEA regulations / M = Male, F = Female, U = Unknown
Patient address1 in human environments, owner address1 in veterinary environments
Patient address2 in human environments, owner address2 in veterinary environments
Patient city in human environments, owner city in veterinary environments
Patient state in human environments, owner state in veterinary environments
Patient zip in human environments, owner zip in veterinary environments
Patient country in human environments, owner country in veterinary environments
Owner DOB in veterinary environments, this is typically used to satisfy DEA regulations
Owner Drivers License number in veterinary environments, this is typically used to satisfy DEA regulations / DO NOT use social security number
Patient phone in human environments, owner phone in veterinary environments
Patient email in human environments, owner email in veterinary environments
The date and time the data record was created
The date and time the data record was last updated
{ "siteId": 1.23, "patientId": "123e4567-e89b-12d3-a456-426614174000", "fhirId": "123e4567-e89b-12d3-a456-426614174000", "ehrId": "123e4567-e89b-12d3-a456-426614174000", "ehrTable": "Example Name", "patient": "Example Name", "clientId": "123e4567-e89b-12d3-a456-426614174000", "clientFirstName": "Example Name", "clientLastName": "Example Name", "dob": "2023-01-01", "permanent": 1.23, "caution": 1.23, "species": "example", "gender": "123e4567-e89b-12d3-a456-426614174000", "weight": 1.23, "weightUnits": "Example Name", "height": 1.23, "heightUnits": "Example Name", "location": "Example Name", "allergies": "Example Name", "clientGender": "example", "breed": "Example Name", "address1": "Example Name", "address2": "Example Name", "city": "Example Name", "state": "Example Name", "zip": "Example Name", "country": "Example Name", "clientDOB": "2023-01-01", "dlNumber": "https://example.com", "clientPhone": "Example Name", "clientEmail": "Example Name", "id": 100, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z", "syncedAt": "2021-08-01T00:00:00.000Z" }
- Mock server
https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- Sandbox
https://api-staging.heydonto.com/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- Production
https://api.heydonto.com/site/{siteId}/zimbis/patient/{siteZimbisPatientId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.heydonto.com/_mock/apis/zimbis/openapi/site/{siteId}/zimbis/patient/{siteZimbisPatientId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'